%define _textlibdir /usr/share/mlmmj/text.skel

Summary: Mailserver-independent ezmlm-like mailing list manager
Name: mlmmj
Version: 1.2.16
Release: 2%{?dist}
License: MIT
Group: Applications/Internet
URL: http://www.mlmmj.org/
Source: http://mlmmj.mmj.dk/files/mlmmj-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: server(smtp)

%description
mlmmj (Mailing List Managing Made Joyful) is a mailing list manager
intended to mimic the functionality of the ezmlm-idx mailing list
manager often used with Prof. Dan Bernstein's qmail, but with an open
license and mailserver independence.

%prep

%setup -q

%build
%configure --enable-recieve-strip
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} textlibdir=%{_textlibdir}
mkdir -p %{buildroot}/var/spool/mlmmj

# Remove execute bits from Perl programs to stop RPM from picking
# up dependencies we don't really want.

find contrib/ -type f -name *.pl | xargs chmod -x
find contrib/ -type f -name *.cgi | xargs chmod -x

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING README* FAQ TODO TUNABLES UPGRADE contrib/web
%{_bindir}/mlmmj-*
%{_datadir}/mlmmj/
%dir /var/spool/mlmmj
%{_mandir}/man1/mlmmj-*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.16-1
- New upstream release.
- New URL

* Tue Apr 8 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.15-3
- Fix Requires (bz# 438079)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.15-2
- Autorebuild for GCC 4.3

* Tue Jul 31 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.15-1
- New upstream release. Please read the release and upgrade notes when
  upgrading.
- Enabled new "enable-recieve-strip" option for MIME handling.

* Wed Apr 11 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.14-2
- Bump due to build/tag oddity.

* Fri Apr 6 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.14-1
- New upstream release (with mime parsing goodness)

* Thu Dec 28 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.13-1
- New upstream release

* Sun Nov 26 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.12-1
- New upstream release

* Sun Sep 3 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-5
- Rebuild 

* Mon Jun 19 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-4
- Bump to satisfy distro upgrade paths

* Wed Mar 1 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-3
- Bump for FC5

* Fri Feb 10 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-2
- Bump for newer gcc/glibc

* Tue Jan 24 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-1
- New upstream release (more bugfixes in address handling)

* Wed Jan 18 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.10-1
- New upstream release. 1.2.9 has a serious bug in find_email_adr(), all
  should upgrade.

* Thu Dec 15 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.9-2.1
- New upstream stable release
- Fix Release tag

* Mon Oct 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.9-0.rc1
- New upstream release candidate
- Fixed typo in the Description that I hope noone noticed.

* Fri Jul 8 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.8-2
- Bump & rebuild

* Tue Jun 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.8-1
- New upstream release

* Thu May 26 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-4
- Bump for rebuild

* Sat May 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-3
- Remove superflous LICENSE from docs (same as COPYING)
- Minor cleanup

* Fri May 13 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-2
- Fix changelog (remove superfluous entries too) and bump

* Fri May 13 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-1
- Upstream release 1.2.7 (minor fixes)

* Tue May 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-3
- Add contributed web scripts

* Tue May 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-2
- bump

* Mon May 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-1
- 1.2.6.1

* Mon May 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6-1
- 1.2.6
- Dropped moderation race patch (merged upstream)

* Fri May 6 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-3
- Upstream patch included fixing a potential race condition on
  moderation.
  
* Fri May 6 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-2
- Description updated
- Install macros returned to sane defaults
- Small spec cleanups
- Thanks to Michael Schwendt for pointing these out.

- Dropped listtexts patch (applied upstream)
* Thu May 5 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-1
- 1.2.5
- Dropped listtexts patch (applied upstream)

* Sat Apr 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.4-4
- Special build for Fedora Extras
- Added upstream patch for addresses without a @domain
- Excluded contrib (just some web frontends) to avoid a perl dependency

